## tinysparql 3.8.2

=== meson_options.txt ===
option('docs', type: 'boolean', value: true, yield: true,
       description: 'Generate API documentation with gtk-doc')
option('man', type: 'boolean', value: true, yield: true,
       description: 'Install man pages')
option('override_sqlite_version_check', type: 'boolean', value: false,
       description: 'Override checks for broken sqlite versions')

option('stemmer', type: 'feature', value: 'auto',
       description: 'Stemming words while indexing')
option('unicode_support', type: 'combo', choices: ['icu', 'unistring', 'auto'], value: 'auto',
       description: 'Unicode support library to use')
option('avahi', type: 'feature', value: 'auto',
       description: 'DNS-SD support on HTTP endpoints')

option('bash_completion', type: 'boolean', value: true,
       description: 'Whether to install Bash completion files')
option('bash_completion_dir', type: 'string',
       description: 'Directory to install Bash completion files')
option('dbus_services_dir', type: 'string', value: '',
       description: 'Directory to install D-Bus .service files (or empty to use default)')
option('systemd_user_services', type: 'boolean', value: true, yield: true,
       description: 'Whether to install systemd user .service files')
option('systemd_user_services_dir', type: 'string', value: '', yield: true,
       description: 'Directory to install systemd user unit files (or empty to use default)')
option('tests', type: 'boolean', value: true,
       description: 'Whether to build tests')
option('tests_tap_protocol', type: 'boolean', value: false,
       description: 'Whether to enable TAP protocol on tests')
option('introspection', type: 'feature', value: 'enabled',
       description: 'Whether to enable introspection')
option('vapi', type: 'feature', value: 'enabled',
       description: 'Whether to enable Vala binding generation')
