=== debian/changelog ===
tinysparql (3.8.2-5) unstable; urgency=high

  * Move libtracker-http-soup3.so & libtracker-parser-libicu.so
    from libtracker-sparql-3.0-0 to libtinysparql-3.0-0 (Closes: #1099212)
  * Have libtracker-sparql-3.0-dev Depend on libtinysparql-3.0-0
    instead of libtracker-sparql-3.0-0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 19:03:59 -0500

tinysparql (3.8.2-4) unstable; urgency=high

  [ Simon McVittie ]
  * Move /usr/include/tinysparql-3.0/tracker-*.h to libtinysparql-dev.
    Despite what their names might seem to indicate, these headers are
    all included in <tinysparql.h>, so including these headers without
    a circular dependency requires moving them. This allows the
    dependency on libtracker-sparql-3.0-dev by libtinysparql-dev to be
    removed.
  * d/tests: Verify basic functionality of -dev packages
    (Reproduces: #1098537)
  * libtracker-sparql-3.0-dev: Add missing Depends on libtinysparql-dev
    (Closes: #1098537)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 09:27:20 -0500

tinysparql (3.8.2-3) unstable; urgency=medium

  * Recommends: localsearch (instead of tracker-miner-fs)
  * autopkgtest: extend dh_auto_test timeout multiplier here too

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 06:50:50 -0500

tinysparql (3.8.2-2) unstable; urgency=medium

  * Increase test timeout multiplier to try to help riscv64 build
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 20:36:09 -0500

tinysparql (3.8.2-1) experimental; urgency=medium

  * New upstream release
  * Revert docs workaround from 3.8.1-1: no longer needed
  * Add missing Depends: libtracker-sparql-3.0-dev to libtinysparql-dev
  * Update debian/upstream/metadata
  * Update symbols file to drop symbols that had been accidentally exported
    in earlier 3.8 versions which means they weren't used in Debian yet
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Feb 2025 08:49:03 -0500

tinysparql (3.8.1-1) experimental; urgency=medium

  * Rename to tinysparql (Closes: #1072712)
  * New upstream release
  * Update debian/copyright
  * Add new binary packages
  * Convert tracker and tracker-doc into transitional packages
  * The tracker-test-utils package is no longer provided
  * Remove 2 patches applied in new release
  * Add patch to not build web-ide feature
  * Refresh and extend patch that skips some tests during autopkgtests
  * Files-Excluded: add web-ide to avoid trying to document
    it in debian/copyright

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Dec 2024 18:14:37 -0500

tracker (3.7.3-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Fix autopkgtests and cherrypick some upstream build fixes
    (Closes: #1068468)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Jul 2024 23:08:29 +0200

tracker (3.7.3-1) unstable; urgency=medium

  * New upstream release
    - Update for compatibility with SQLite 3.45.3 (Closes: #1069416)
  * Increase build test timeout multiplier to try to help riscv64 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 13:31:35 -0400

tracker (3.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 17:30:57 -0400

tracker (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:43:13 -0400

tracker (3.7.0-1) unstable; urgency=medium

  * New upstream release
  * Update patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 09:31:32 -0400

tracker (3.7~rc-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Disable build tests when nocheck is set (Closes: #1061464)

  [ Jeremy Bícha ]
  * Release to unstable (Closes: #1065464)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 08:01:20 -0500

tracker (3.7~rc-2) experimental; urgency=medium

  * debian/tests/unit-tests:
    - the autopkgtest are using the upstream buildtests which aren't
      installed tests. The tests setup isn't rebuilding the libraries but
      then LD_LIBRARY_PATH is forced by meson on a local path and not
      considering the system location, which means it doesn't fail the
      needed libraries. Workaround the problem by copying the system
      library to the local path in the unit-tests script. It's not ideal
      but the alternative of rebuilding the library would mean we wouldn't
      be testing the right binaries.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Mar 2024 10:29:53 +0100

tracker (3.7~rc-1) experimental; urgency=medium

  * New upstream release
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 18:45:58 -0500

tracker (3.7~beta-3) experimental; urgency=medium

  * Add debian/salsa-ci.yml
  * Drop workaround patches for 32-bit build test issues and cherry-pick
    upstream's new fixes instead

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 10:56:27 -0500

tracker (3.7~beta-2) experimental; urgency=medium

  * Revert a commit & 2 fixups that broke build tests on 32-bit
    (Closes: #1035903)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 21:50:34 -0500

tracker (3.7~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols
  * debian/tracker.install: Install additional binaries
  * debian/tracker.install: /usr/libexec/tracker-3 is no longer provided
  * Add/restore patch to use bash because of bashisms in scripts

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:30:58 -0500

tracker (3.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 15:38:11 -0400

tracker (3.6~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Sep 2023 11:08:03 -0400

tracker (3.6~beta-1) experimental; urgency=medium

  * New upstream release
  * Drop /usr/bin/env patch applied in new release

