=== debian/control ===
Source: tinysparql
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               meson (>= 0.53),
               pkgconf,
               asciidoc-base,
               gi-docgen,
               graphviz,
               libdbus-1-dev (>= 1.3.1),
               libglib2.0-dev (>= 2.46.0),
               libsqlite3-dev (>= 3.8.3),
               libstemmer-dev,
               zlib1g-dev,
               libupower-glib-dev (>= 0.9.0),
               libxml2-dev,
               uuid-dev,
               valac,
               xmlto,
               bash-completion,
               libglib2.0-doc,
               libgirepository1.0-dev (>= 0.10.7-1~),
               libicu-dev,
               libjson-glib-dev (>= 1.4),
               libsoup-3.0-dev,
               dbus (>= 1.8) <!nocheck>,
               python3-gi <!nocheck>,
               gir1.2-glib-2.0 <!nocheck>,
               python3-tap <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/tinysparql
Vcs-Git: https://salsa.debian.org/gnome-team/tinysparql.git
Homepage: https://tracker.gnome.org/

Package: tinysparql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shared-mime-info,
         libglib2.0-bin,
         default-dbus-session-bus | dbus-session-bus
Recommends: localsearch
Breaks: tracker (<< 3.8)
Replaces: tracker (<< 3.8)
Description: metadata database, indexer and search tool
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker
Architecture: all
Section: oldlibs
Depends:
 ${misc:Depends},
 tinysparql,
Description: metadata database and indexer (transitional package)
 This is a transitional package. It can safely be removed.

Package: libtracker-sparql-3.0-0
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtinysparql-3.0-0 (= ${binary:Version}),
Description: metadata database, indexer and search tool - old library
 This package contains a library to perform SPARQL queries and updates in the
 TinySPARQL store.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.
 .
 This package is provided to ease the transition to libtinysparql-3.0-0.

Package: libtinysparql-3.0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libtracker-sparql-3.0-0 (<< 3.8.2-5~)
Replaces: libtracker-sparql-3.0-0 (<< 3.8.2-5~)
Description: metadata database, indexer and search tool - library
 This package contains a library to perform SPARQL queries and updates in the
 TinySPARQL store.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-sparql-3.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtinysparql-dev (= ${binary:Version}),
         libtinysparql-3.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.52.0),
         libicu-dev (>= 4.8.1.1),
         libjson-glib-dev (>= 1.4),
         libxml2-dev (>= 2.6),
         libsoup-3.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.15.0),
         gir1.2-tracker-3.0 (= ${binary:Version})
Provides: ${gir:Provides}
Suggests: libtracker-sparql-doc
Description: metadata database, indexer and search tool - old dev files
 This package contains the static libraries and header files needed to link
 applications with libtracker-sparql.
 .
 libtracker-sparql provides a library to perform SPARQL queries and updates in
 the TinySPARQL store.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.
 .
 This package is provided to ease the transition to libtinysparql-dev.

Package: libtinysparql-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtinysparql-3.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.52.0),
         libicu-dev (>= 4.8.1.1),
         libjson-glib-dev (>= 1.4),
         libxml2-dev (>= 2.6),
         libsoup-3.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.15.0),
         gir1.2-tsparql-3.0 (= ${binary:Version})
Breaks: libtracker-sparql-3.0-dev (<< 3.8.2-4~)
Replaces: libtracker-sparql-3.0-dev (<< 3.8.2-4~)
Provides: ${gir:Provides}
Suggests: libtracker-sparql-doc
Description: metadata database, indexer and search tool - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-sparql.
 .
 libtiny-sparql provides a library to perform SPARQL queries and updates in
 the TinySPARQL store.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtinysparql-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: metadata database, indexer and search tool - API documentation
 This package contains the API documentation for libtinysparql
 as well as some example programs.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-doc
Architecture: all
Section: oldlibs
Depends:
 ${misc:Depends},
 libtinysparql-doc,
Description: metadata database API documentation (transitional package)
 This is a transitional package. It can safely be removed.

Package: gir1.2-tracker-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Provides: ${gir:Provides}
Description: GObject introspection data for Tracker
 This package contains introspection data for libtracker-control,
 libtracker-miner and libtracker-sparql.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: gir1.2-tsparql-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Provides: ${gir:Provides}
Description: GObject introspection data for TSparql
 This package contains introspection data for libtinysparql.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.
