=== debian/tests/control ===
Tests: libtinysparql-dev
Depends: build-essential, libtinysparql-dev, pkgconf
Restrictions: allow-stderr, superficial

Tests: libtracker-sparql-3.0-dev
Depends: build-essential, libtracker-sparql-3.0-dev, pkgconf
Restrictions: allow-stderr, superficial

Tests: unit-tests
Depends: @, @builddeps@, locales
