=== debian/changelog ===
tinysparql (3.10.1-2) unstable; urgency=medium

  * Release to unstable (Closes: #1118924)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 09:31:40 -0500

tinysparql (3.10.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum sqlite3
  * Revert "debian/rules: Disable the parallel execution of the tests"
  * Remove libsoup documentation patch: applied in new release
  * Add patch to ignore manpage test failure

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/control: Add ${gir:Depends} to -dev packages
  * d/control: Remove libglib2.0-doc B-D.
    This isn't used by gi-docgen.
  * d/control, d/rules: Don't require gi-docgen when not building -doc
    packages. This doesn't need to be installed on the per-architecture
    buildds.
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Nov 2025 15:31:26 -0500

tinysparql (3.8.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/docs-Update-URL-to-libsoup.patch:
    Correct the documentation URL for libsoup
  * d/p/disable-some-failing-tests.patch:
    Improve metadata

  [ Jeremy Bícha ]
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 14:50:37 -0400

tinysparql (3.8.2-6) unstable; urgency=medium

  * Stop installing the "transitional" libtracker-sparql-3.0-0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Mar 2025 09:03:49 -0400
