=== debian/control ===
--- 
+++ 
@@ -6,44 +6,44 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               meson (>= 0.53),
-               pkgconf,
                asciidoc-base,
-               gi-docgen,
+               bash-completion,
+               dbus (>= 1.8) <!nocheck>,
+               gir1.2-gio-2.0-dev,
+               gir1.2-glib-2.0 <!nocheck>,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                graphviz,
                libdbus-1-dev (>= 1.3.1),
                libglib2.0-dev (>= 2.46.0),
-               libsqlite3-dev (>= 3.8.3),
+               libicu-dev,
+               libjson-glib-dev (>= 1.4),
+               libsoup-3.0-dev,
+               libsqlite3-dev (>= 3.24.0),
                libstemmer-dev,
-               zlib1g-dev,
                libupower-glib-dev (>= 0.9.0),
                libxml2-dev,
+               meson (>= 0.53),
+               pkgconf,
+               python3-gi <!nocheck>,
+               python3-tap <!nocheck>,
                uuid-dev,
                valac,
                xmlto,
-               bash-completion,
-               libglib2.0-doc,
-               libgirepository1.0-dev (>= 0.10.7-1~),
-               libicu-dev,
-               libjson-glib-dev (>= 1.4),
-               libsoup-3.0-dev,
-               dbus (>= 1.8) <!nocheck>,
-               python3-gi <!nocheck>,
-               gir1.2-glib-2.0 <!nocheck>,
-               python3-tap <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+               zlib1g-dev
+Build-Depends-Indep: gi-docgen <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/tinysparql
 Vcs-Git: https://salsa.debian.org/gnome-team/tinysparql.git
 Homepage: https://tracker.gnome.org/
 
 Package: tinysparql
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: default-dbus-session-bus | dbus-session-bus,
+         libglib2.0-bin,
+         shared-mime-info,
          ${misc:Depends},
-         shared-mime-info,
-         libglib2.0-bin,
-         default-dbus-session-bus | dbus-session-bus
+         ${shlibs:Depends}
 Recommends: localsearch
 Breaks: tracker (<< 3.8)
 Replaces: tracker (<< 3.8)
@@ -55,35 +55,15 @@
 Package: tracker
 Architecture: all
 Section: oldlibs
-Depends:
- ${misc:Depends},
- tinysparql,
+Depends: tinysparql, ${misc:Depends}
 Description: metadata database and indexer (transitional package)
  This is a transitional package. It can safely be removed.
-
-Package: libtracker-sparql-3.0-0
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libtinysparql-3.0-0 (= ${binary:Version}),
-Description: metadata database, indexer and search tool - old library
- This package contains a library to perform SPARQL queries and updates in the
- TinySPARQL store.
- .
- TinySPARQL is an advanced framework for first class objects with associated
- metadata and tags. It provides a one stop solution for all metadata, tags,
- shared object databases, search tools and indexing.
- .
- This package is provided to ease the transition to libtinysparql-3.0-0.
 
 Package: libtinysparql-3.0-0
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libtracker-sparql-3.0-0 (<< 3.8.2-5~)
 Replaces: libtracker-sparql-3.0-0 (<< 3.8.2-5~)
 Description: metadata database, indexer and search tool - library
@@ -98,17 +78,18 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libtinysparql-dev (= ${binary:Version}),
-         libtinysparql-3.0-0 (= ${binary:Version}),
+Depends: gir1.2-tracker-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.52.0),
          libicu-dev (>= 4.8.1.1),
          libjson-glib-dev (>= 1.4),
+         libsoup-3.0-dev (>= 2.40),
+         libsqlite3-dev (>= 3.24.0),
+         libtinysparql-3.0-0 (= ${binary:Version}),
+         libtinysparql-dev (= ${binary:Version}),
          libxml2-dev (>= 2.6),
-         libsoup-3.0-dev (>= 2.40),
-         libsqlite3-dev (>= 3.15.0),
-         gir1.2-tracker-3.0 (= ${binary:Version})
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: ${gir:Provides}
 Suggests: libtracker-sparql-doc
 Description: metadata database, indexer and search tool - old dev files
@@ -128,16 +109,17 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libtinysparql-3.0-0 (= ${binary:Version}),
+Depends: gir1.2-tsparql-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.52.0),
          libicu-dev (>= 4.8.1.1),
          libjson-glib-dev (>= 1.4),
+         libsoup-3.0-dev (>= 2.40),
+         libsqlite3-dev (>= 3.24.0),
+         libtinysparql-3.0-0 (= ${binary:Version}),
          libxml2-dev (>= 2.6),
-         libsoup-3.0-dev (>= 2.40),
-         libsqlite3-dev (>= 3.15.0),
-         gir1.2-tsparql-3.0 (= ${binary:Version})
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libtracker-sparql-3.0-dev (<< 3.8.2-4~)
 Replaces: libtracker-sparql-3.0-dev (<< 3.8.2-4~)
 Provides: ${gir:Provides}
@@ -154,6 +136,7 @@
  shared object databases, search tools and indexing.
 
 Package: libtinysparql-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
@@ -167,11 +150,10 @@
  shared object databases, search tools and indexing.
 
 Package: libtracker-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: oldlibs
-Depends:
- ${misc:Depends},
- libtinysparql-doc,
+Depends: libtinysparql-doc, ${misc:Depends}
 Description: metadata database API documentation (transitional package)
  This is a transitional package. It can safely be removed.
 
@@ -179,9 +161,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${gir:Provides}
 Description: GObject introspection data for Tracker
  This package contains introspection data for libtracker-control,
@@ -198,9 +178,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${gir:Provides}
 Description: GObject introspection data for TSparql
  This package contains introspection data for libtinysparql.
