=== debian/tests/control ===
--- 
+++ 
@@ -7,4 +7,4 @@
 Restrictions: allow-stderr, superficial
 
 Tests: unit-tests
-Depends: @, @builddeps@, locales
+Depends: locales, @, @builddeps@
