## tinysparql 3.11~beta

=== debian/changelog ===
tinysparql (3.11~beta-1) unstable; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
  * d/symbols: Add symbols from the new version

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Feb 2026 07:35:10 -0500

tinysparql (3.10.1-4) unstable; urgency=medium

  * Mark other -doc package as Multi-Arch: foreign also

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 13:43:40 -0500

tinysparql (3.10.1-3) unstable; urgency=medium

  * Mark -doc package as Multi-Arch: foreign
  * Remove Suggests: devhelp
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Dec 2025 14:44:10 -0500
