=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: tinysparql
 Section: utils
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -31,8 +30,8 @@
                valac,
                xmlto,
                zlib1g-dev
-Build-Depends-Indep: gi-docgen <!nodoc>,
-Standards-Version: 4.7.2
+Build-Depends-Indep: gi-docgen <!nodoc>
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/tinysparql
 Vcs-Git: https://salsa.debian.org/gnome-team/tinysparql.git
 Homepage: https://tracker.gnome.org/
@@ -78,8 +77,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-tracker-3.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.52.0),
+Depends: libglib2.0-dev (>= 2.52.0),
          libicu-dev (>= 4.8.1.1),
          libjson-glib-dev (>= 1.4),
          libsoup-3.0-dev (>= 2.40),
@@ -88,8 +86,7 @@
          libtinysparql-dev (= ${binary:Version}),
          libxml2-dev (>= 2.6),
          ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Provides: ${gir:Provides}
 Suggests: libtracker-sparql-doc
 Description: metadata database, indexer and search tool - old dev files
@@ -138,9 +135,9 @@
 Package: libtinysparql-doc
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: devhelp
 Description: metadata database, indexer and search tool - API documentation
  This package contains the API documentation for libtinysparql
  as well as some example programs.
@@ -152,6 +149,7 @@
 Package: libtracker-doc
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: oldlibs
 Depends: libtinysparql-doc, ${misc:Depends}
 Description: metadata database API documentation (transitional package)
@@ -161,8 +159,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Provides: ${gir:Provides}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for Tracker
  This package contains introspection data for libtracker-control,
  libtracker-miner and libtracker-sparql.
